#!/bin/bash

# copy desktop file
if [ -e "~/.local/share/applications/AniTrack.desktop" ]; then
  if [ -d "~/.local/share/applications/" ]; then
    cp ./AniTrack.desktop ~/.local/share/applications/
  else
    mkdir -p ~/.local/share/applications/
    cp ./AniTrack.desktop ~/.local/share/applications/
  fi
fi

# copy icons to xdg folders
for size in 32 48 64 128; do
  xdg-icon-resource install --novendor --context apps --size $size ./icon/$size/AniTrack.png AniTrack
done

# copy AniTrack Binary to $HOME/Applications/
if ! [ -d "~/Applications" ]; then
  mkdir -p ~/Applications
  cp ./bin/AniTrack ~/Applications/
elif ! [[ -e ~/Applications/AniTrack ]]; then
  cp ./bin/AniTrack ~/Applications/
fi

echo "AniTrack has been successfully installed."
